OJTestResult Class Reference

List of all members.

## Public Member Functions

(CPArray _errors) | - accessors`[implementation]`
(void) | - addError:`[implementation]`
(void) | - addError:forTest:`[implementation]`
(void) | - addFailure:`[implementation]`
(void) | - addFailure:forTest:`[implementation]`
(void) | - addListener:`[implementation]`
(void) | - endTest:`[implementation]`
(int) | - errorCount`[implementation]`
(int) | - failureCount`[implementation]`
(id) | - init`[implementation]`
(int) | - numberOfErrors`[implementation]`
(int) | - numberOfFailures`[implementation]`
(void) | - removeListener:`[implementation]`
(void) | - run:`[implementation]`
(int) | - runCount`[implementation]`
(BOOL) | - shouldStop`[implementation]`
(void) | - startTest:`[implementation]`
(void) | - stop`[implementation]`
(BOOL) | - wasSuccessful`[implementation]`

## Static Public Member Functions

(OJTestResult) | + createResult`[implementation]`

## Detailed Description

Definition at line 6 of file OJTestResult.j.

## Member Function Documentation

- (CPArray _errors) accessors |  | (readonly) |
|  | (property) | = `errors`
|  |  | `[implementation]`

- (void) addError: |  | (OJTestFailure) | error | `[implementation]`

Definition at line 41 of file OJTestResult.j.

- (void) addError: |  | (CPException) | error
forTest: |  | (OJTest) | aTest
|  |  | `[implementation]`

Definition at line 36 of file OJTestResult.j.

- (void) addFailure: |  | (OJTestFailure) | failure | `[implementation]`

Definition at line 53 of file OJTestResult.j.

- (void) addFailure: |  | (CPException) | failure
forTest: |  | (OJTest) | aTest
|  |  | `[implementation]`

Definition at line 48 of file OJTestResult.j.

- (void) addListener: |  | (OJTestListener) | listener | `[implementation]`

Definition at line 99 of file OJTestResult.j.

+ (OJTestResult) createResult |  |  | `[implementation]`

Factory method for creating the OJTestResult

Definition at line 18 of file OJTestResult.j.

- (void) endTest: |  | (OJTest) | aTest | `[implementation]`

Definition at line 67 of file OJTestResult.j.

- (int) errorCount |  |  | `[implementation]`

Definition at line 140 of file OJTestResult.j.

- (int) failureCount |  |  | `[implementation]`

Definition at line 129 of file OJTestResult.j.

- (id) init |  |  | `[implementation]`

Definition at line 23 of file OJTestResult.j.

- (int) numberOfErrors |  |  | `[implementation]`

Definition at line 135 of file OJTestResult.j.

- (int) numberOfFailures |  |  | `[implementation]`

Definition at line 124 of file OJTestResult.j.

- (void) removeListener: |  | (OJTestListener) | listener | `[implementation]`

Definition at line 104 of file OJTestResult.j.

- (void) run: |  | (OJTestCase) | aTest | `[implementation]`

Definition at line 74 of file OJTestResult.j.

- (int) runCount |  |  | `[implementation]`

Definition at line 109 of file OJTestResult.j.

- (BOOL) shouldStop |  |  | `[implementation]`

Definition at line 114 of file OJTestResult.j.

- (void) startTest: |  | (OJTest) | aTest | `[implementation]`

Definition at line 60 of file OJTestResult.j.

- (void) stop |  |  | `[implementation]`

Definition at line 119 of file OJTestResult.j.

- (BOOL) wasSuccessful |  |  | `[implementation]`

Definition at line 146 of file OJTestResult.j.

The documentation for this class was generated from the following file:

- Frameworks/OJUnit/OJTestResult.j

All Classes Files Functions Variables